Bug 225875 - Merge Review: gtksourceview
Merge Review: gtksourceview
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gtksourceview (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Package Reviews List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-01-31 14:00 EST by Nobody's working on this, feel free to take it
Modified: 2015-07-08 06:35 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-07-08 06:35:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nobody's working on this, feel free to take it 2007-01-31 14:00:56 EST
Fedora Merge Review: gtksourceview

http://cvs.fedora.redhat.com/viewcvs/devel/gtksourceview/
Initial Owner: rstrode@redhat.com
Comment 1 Roozbeh Pournader 2007-02-03 21:11:59 EST
Taking for review.
Comment 2 Roozbeh Pournader 2007-02-04 11:48:09 EST
Initial comments:
* The README file mentions different version requirements than in the spec file:
"GtkSourceView requires GTK+-2.8.x, libxml2 2.5.x and libgnomeprint 2.8.x."

So you should change gtk2_version to 2.8.0, have a libgnomeprint_version macro
that says 2.8.0 also and change the present 2.7.1 requirements to use that
instead, and perhaps also add a versioned requirement for libxml2-devel (2.5.0).

* The description and the summary fields are only different in one word
("with"). Please add more description to the description field.

* Give full URL of the tarball in the Source0 line.

* Use "make %{?_smp_mflags}" instead of "make" in %build.

* There is an empty %doc line in the files section. Include at least AUTHORS,
ChangeLog, COPYING, NEWS, and README. (blocker)
Comment 3 Matthias Clasen 2007-02-04 16:40:05 EST
Fixed in 1.8.3-2.fc7
Comment 4 Roozbeh Pournader 2007-02-05 07:47:25 EST
Doing a thorough review this time.

BAD
===
MUST: License
* The license file in the package says GPL, while the license tag in the spec
says LGPL. Some file headers say GPL, while others say LGPL, which makes the
whole package GPL. So spec file should be changed to say GPL. (blocker)

* As some of the files are LGPL-ed, a copy of the LGPL should also be included
in the upstream tarball and also shipped in the RPM. Contact upstream (SHOULD item).

* Some files like gtksourceview-marshal.c and gtksourceview-typebuiltins.c don't
have a license header, which makes them proprietary (pessimist view) or at least
unknown licensing (considering that some files in the same dir are GPL while
others are LGPL. No trivial fix, but contacting upstream is recommended again.

MUST: owning dirs
* -devel package puts files in %{_datadir}/gtk-doc/html, while not depending on
any packages that owns that dir. I don't know who should be the lucky package,
but this is a blocker anyway.

MUST: build requires
* As configure.in requires intltool 0.35.0, which is not available on FC5, the
package should have a versioned build dependency on intltool >= 0.35.0 (blocker).

IMPROVEMENTS
============
Grammer
* I guess gtksourceview should be changed to GtkSourceView in the description of
  the -devel package (second line), as it's refering to the library/widget, not
  the package.

Docs
* Consider marking files under %{_datadir}/gtk-doc/ as %doc

Style
* Add extra slash to the end of directories in the %files section when you want
to include their files also:
  %{_datadir}/gtksourceview-1.0/
  %{_includedir}/gtksourceview-1.0/
  %{_datadir}/gtk-doc/html/gtksourceview/

GOOD
====
MUST: rpmlint output
  W: gtksourceview-devel no-documentation
MUST: package naming fine
MUST: spec name matches package name
MUST: US English fine
MUST: packaging guidelines followed
MUST: free software
MUST: tarball's license is shipped in RPM as %doc
MUST: spec file legible
MUST: tarball matches upstream (md5sum checked)
MUST: built binary RPMs on FC6/i386
MUST: no ExcludeArch
MUST: locales handled properly
MUST: ldconfig used properly
MUST: not relocatable
MUST: no dups in %files
MUST: file permissions fine
MUST: %clean fine
MUST: macro use consistent
MUST: has code
MUST: no large docs
MUST: header files in -devel, no static libs
MUST: -devel has *.pc and Requires pkgconfig
MUST: *.so goes in -devel
MUST: -devel has fully versioned dep on main
MUST: *.la removed explicitly
MUST: not GUI
MUST: doesn't own others' files
SHOULD: no scriptlets
Comment 5 Matthias Clasen 2007-02-05 10:54:13 EST
I've changed the license tag to say GPL and filed
http://bugzilla.gnome.org/show_bug.cgi?id=404627
I am not going to add a gtk-doc dependency for the /usr/share/gtk-doc/html
directory. That just doesn't make any sense. You don't need gtk-doc at all
when using the documenation that lives there. If anything, it would make more
sense to make devhelp own that directory, but even that is somewhat questionable.
The whole concept of unique directory ownership is artifical.
Comment 6 Patrice Dumas 2007-02-05 10:59:45 EST
(In reply to comment #5)
> I am not going to add a gtk-doc dependency for the /usr/share/gtk-doc/html
> directory. That just doesn't make any sense. You don't need gtk-doc at all
> when using the documenation that lives there. If anything, it would make more
> sense to make devhelp own that directory, but even that is somewhat questionable.

agreed. We shouldn't force any of those deps.

> The whole concept of unique directory ownership is artifical.

Not necessarily, but here, having the package own 
/usr/share/gtk-doc/
and
/usr/share/gtk-doc/html
seems best except if a filesystem only package (maybe filesystem) would 
own that directory, but it is not obvious it would be right.
Comment 7 Ralf Corsepius 2007-02-05 11:03:28 EST
(In reply to comment #5)
> The whole concept of unique directory ownership is artifical.
Yes, it's a cludge to work-around a bug in rpm.

As I said many times before:
- If several packages share a common directory, and if they depend on each other
in a strict hierarchy, then letting the "root package" own this dir is sufficient.
- If they don't depend on each other in a strict hierarchy, all of the packages
must own this directory.
Comment 8 Matthias Clasen 2007-02-08 09:10:33 EST
Not clear to me what the next step is here...
Comment 9 Roozbeh Pournader 2007-02-09 11:35:03 EST
the package must own %{_datadir}/gtk-doc and %{_datadir}/gtk-doc/html or depend
on something that does?
Comment 10 Matthias Clasen 2007-08-10 23:02:16 EDT
It does indirectly, via gtksourceview-devel -> gtk2-devel -> gtk-doc
Comment 11 Matthias Clasen 2008-06-16 13:15:06 EDT
stalled review
Comment 12 Cole Robinson 2015-02-11 15:37:06 EST
Mass reassigning all merge reviews to their component. For more details, see this FESCO ticket:

  https://fedorahosted.org/fesco/ticket/1269

If you don't know what merge reviews are about, please see:

  https://fedoraproject.org/wiki/Merge_Reviews

How to handle this bug is left to the discretion of the package maintainer.
Comment 13 Peter Robinson 2015-07-08 06:35:46 EDT
Package retired

Note You need to log in before you can comment on or make changes to this bug.